import { Action, combineReducers } from 'redux';
import { RouterState, LocationActionPayload, LOCATION_CHANGE } from 'react-router-redux';
import { SagaIterator } from 'redux-saga';
import { fork } from 'redux-saga/effects';
import { routerReducer } from 'commons/redux/router';

import * as Member from 'member';

export interface State {
  member: Member.State;
  router: RouterState;
}

export const reducer = combineReducers<State>({
  member: Member.reducer,
  router: routerReducer,
});

export function* sagas(): SagaIterator {
  yield fork(Member.sagas);
}
